restinio::easy_parser::impl::caseless_symbol_producer_t Class Reference

A producer for the case when a particual character is expected in the input stream. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::caseless_symbol_producer_t:

## Public Member Functions

| caseless_symbol_producer_t (char expected)
Public Member Functions inherited from restinio::easy_parser::impl::symbol_producer_template_t< caseless_particular_symbol_predicate_t >
| symbol_producer_template_t (Args &&... args)
RESTINIO_NODISCARD expected_t< char, parse_error_t > | try_parse (source_t &from) const noexcept

## Private Types

using | base_type_t = symbol_producer_template_t< caseless_particular_symbol_predicate_t >

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< char >
using | result_type = char
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< char >
static constexpr entity_type_t | entity_type
Protected Member Functions inherited from restinio::easy_parser::impl::caseless_particular_symbol_predicate_t
| caseless_particular_symbol_predicate_t (char v) noexcept
RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept
Protected Attributes inherited from restinio::easy_parser::impl::caseless_particular_symbol_predicate_t
char | m_expected

## Detailed Description

A producer for the case when a particual character is expected in the input stream.

Performs caseless comparison of symbols.

In the case of success returns the character from the input stream (e.g. without transformation to lower or upper case).

Since
  v.0.6.6

Definition at line 2339 of file easy_parser.hpp.

## Member Typedef Documentation

## base_type_t

using restinio::easy_parser::impl::caseless_symbol_producer_t::base_type_t = symbol_producer_template_t< caseless_particular_symbol_predicate_t >

private

Definition at line 2342 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## caseless_symbol_producer_t()

restinio::easy_parser::impl::caseless_symbol_producer_t::caseless_symbol_producer_t | ( | char | expected | ) |

inline

Definition at line 2346 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp